#!/bin/bash

source "${PALUDIS_EBUILD_DIR}/echo_functions.bash"
source "/etc/paludis/hooks/set_portdir.bash"

if [[ ${TARGET} != gentoo && ${TARGET} != bin-package-repo &&
	$(${CAVE} print-repository-metadata --raw-name format --format "%v" ${TARGET}) == e
	]] ; then
	# Number of jobs for egencache, default is number or processors.
	egencache_jobnum="$(nproc)"

	ebegin "Cache update for repository ${TARGET}"
	egencache --jobs=${egencache_jobnum} --repo="${TARGET}" --update --update-use-local-desc
	eend $?
fi
